'use strict';

var meow = require('meow');

var JSONStream = require('JSONStream');
var pump = require('pump');
var TimelineStream = require('../lib/timeline-stream');
var cliUtils = require('../lib/cli-utils');

var cli = meow('\n  Usage\n    $ scrape-twitter timeline [--count=<count>] <username>\n\n  Options\n    --with-retweets, -t   Include retweets\n    --with-replies,  -p   Include replies\n    --count,         -c   Get first N items\n', {
  string: ['_'],
  alias: { t: 'withRetweets', p: 'withReplies', c: 'count' }
});

if (cli.input.length === 0) {
  cli.showHelp();
} else {
  var username = cliUtils.parseUsername(cli.input[0]);
  var tweets = new TimelineStream(username, {
    retweets: cli.flags.withRetweets || false,
    replies: cli.flags.withReplies || false,
    count: cli.flags.count
  });
  pump(tweets, JSONStream.stringify('[\n', ',\n', '\n]\n'), process.stdout, cliUtils.handleError(process.exit.bind(process)));
}